#include "cnv_ape.h"
#include "ape.h"

// -------------------------------------

static WACNAME wac;
WACPARENT *the = &wac;

// {C4590547-15E7-4a50-B56F-4E6141A3A8AA}
static const GUID guid = { 0xc4590547, 0x15e7, 0x4a50, { 0xb5, 0x6f, 0x4e, 0x61, 0x41, 0xa3, 0xa8, 0xaa } };

static waServiceT<svc_mediaConverter, APE> ape;

WACNAME::WACNAME() : WACPARENT ("Monkey's Audio Decoder") {
#ifdef FORTIFY
    FortifySetName ( "cnv_ape.wac" );
    FortifyEnterScope();
#endif
}

WACNAME::~WACNAME() {
#ifdef FORTIFY
    FortifyLeaveScope ();
#endif
}

GUID WACNAME::getGUID() {
    return guid;
}

void WACNAME::onCreate() {
    /*
    // {EDAA0599-3E43-4eb5-A65D-C0A0484240E7}
    static const GUID cfg_audio_guid = { 0xedaa0599, 0x3e43, 0x4eb5, { 0xa6, 0x5d, 0xc0, 0xa0, 0x48, 0x42, 0x40, 0xe7 } };
    */
}

void WACNAME::onDestroy() {
    api->service_deregister ( &ape );
    WAComponentClient::onDestroy ();
}

void WACNAME::onRegisterServices() {
    api->service_register ( &ape );
    api->core_registerExtension ( "*.ape;*.mac", "Monkey's Audio files", "Audio" );
}
